GET /reporting/financial/balance-sheet/\{book_id\}
GET/reporting/financial/balance-sheet/:book_id
GET /reporting/financial/balance-sheet/{book_id}
Request
Path Parameters
Query Parameters
Responses
- 200
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
data
object
assets
object
totals
object
current_assets
object
totals
object
bank
object
totals
object
rows
object[]
nullable
gl_account
object
cash
object
totals
object
rows
object[]
nullable
gl_account
object
accounts_receivable
object
totals
object
rows
object[]
nullable
gl_account
object
other_current_assets
object
totals
object
rows
object[]
nullable
gl_account
object
deferred_expense
object
totals
object
rows
object[]
nullable
gl_account
object
rows
object[]
nullable
gl_account
object
fixed_assets
object
totals
object
rows
object[]
nullable
gl_account
object
other_assets
object
totals
object
rows
object[]
nullable
gl_account
object
rows
object[]
nullable
gl_account
object
liabilities_and_equity
object
totals
object
current_liabilities
object
totals
object
accounts_payable
object
totals
object
rows
object[]
nullable
gl_account
object
other_current_liabilities
object
totals
object
rows
object[]
nullable
gl_account
object
deferred_revenue
object
totals
object
rows
object[]
nullable
gl_account
object
rows
object[]
nullable
gl_account
object
equity
object
totals
object
rows
object[]
nullable
gl_account
object
rows
object[]
nullable
gl_account
object
{
"currency": "string",
"period_to": "string",
"date_to": "2024-07-29",
"data": {
"assets": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"current_assets": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"bank": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"cash": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"accounts_receivable": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"other_current_assets": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"deferred_expense": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"fixed_assets": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"other_assets": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"liabilities_and_equity": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"current_liabilities": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"accounts_payable": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"other_current_liabilities": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"deferred_revenue": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"equity": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
}
}
}
- Schema
- Example (from schema)
Schema
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
data
object
assets
object
totals
object
current_assets
object
totals
object
bank
object
totals
object
rows
object[]
nullable
gl_account
object
cash
object
totals
object
rows
object[]
nullable
gl_account
object
accounts_receivable
object
totals
object
rows
object[]
nullable
gl_account
object
other_current_assets
object
totals
object
rows
object[]
nullable
gl_account
object
deferred_expense
object
totals
object
rows
object[]
nullable
gl_account
object
rows
object[]
nullable
gl_account
object
fixed_assets
object
totals
object
rows
object[]
nullable
gl_account
object
other_assets
object
totals
object
rows
object[]
nullable
gl_account
object
rows
object[]
nullable
gl_account
object
liabilities_and_equity
object
totals
object
current_liabilities
object
totals
object
accounts_payable
object
totals
object
rows
object[]
nullable
gl_account
object
other_current_liabilities
object
totals
object
rows
object[]
nullable
gl_account
object
deferred_revenue
object
totals
object
rows
object[]
nullable
gl_account
object
rows
object[]
nullable
gl_account
object
equity
object
totals
object
rows
object[]
nullable
gl_account
object
rows
object[]
nullable
gl_account
object
{
"currency": "string",
"period_to": "string",
"date_to": "2024-07-29",
"data": {
"assets": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"current_assets": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"bank": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"cash": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"accounts_receivable": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"other_current_assets": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"deferred_expense": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"fixed_assets": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"other_assets": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"liabilities_and_equity": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"current_liabilities": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"accounts_payable": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"other_current_liabilities": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"deferred_revenue": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"equity": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
}
}
}
- Schema
- Example (from schema)
Schema
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
Array [
]
data
object
assets
object
totals
object
current_assets
object
totals
object
bank
object
totals
object
rows
object[]
nullable
gl_account
object
cash
object
totals
object
rows
object[]
nullable
gl_account
object
accounts_receivable
object
totals
object
rows
object[]
nullable
gl_account
object
other_current_assets
object
totals
object
rows
object[]
nullable
gl_account
object
deferred_expense
object
totals
object
rows
object[]
nullable
gl_account
object
rows
object[]
nullable
gl_account
object
fixed_assets
object
totals
object
rows
object[]
nullable
gl_account
object
other_assets
object
totals
object
rows
object[]
nullable
gl_account
object
rows
object[]
nullable
gl_account
object
liabilities_and_equity
object
totals
object
current_liabilities
object
totals
object
accounts_payable
object
totals
object
rows
object[]
nullable
gl_account
object
other_current_liabilities
object
totals
object
rows
object[]
nullable
gl_account
object
deferred_revenue
object
totals
object
rows
object[]
nullable
gl_account
object
rows
object[]
nullable
gl_account
object
equity
object
totals
object
rows
object[]
nullable
gl_account
object
rows
object[]
nullable
gl_account
object
{
"currency": "string",
"period_to": "string",
"date_to": "2024-07-29",
"data": {
"assets": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"current_assets": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"bank": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"cash": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"accounts_receivable": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"other_current_assets": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"deferred_expense": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"fixed_assets": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"other_assets": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"liabilities_and_equity": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"current_liabilities": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"accounts_payable": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"other_current_liabilities": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"deferred_revenue": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"equity": {
"totals": {
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
},
"rows": [
{
"category": "string",
"rows": [
null
],
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"debit": 0,
"credit": 0,
"balance": 0,
"amount": 0
}
]
}
}
}